Subject: bug#59587: 28.2; gnus does not retrieve emails sent from another device

From: Waleed Yousef <[email-masked]>
Date: Fri, 09 Dec 2022 11:12:51 -0800

Ok; thanks so much. I think it works now for the imap except that when I
send from Gnus I cannot find the sent mail on the webmail Sent box!!! So
the snycing is one-way only.

My stmp settings in gnus are: (BTW, my imap email is the last one, which
is [email-masked])

```
(setq ;;;;SMTP
 user-mail-address "[email-masked]"
 user-full-name "Waleed Yousef"
 smtpmail-smtp-server	"smtp.gmail.com"
 smtpmail-smtp-service '587
 send-mail-function		'smtpmail-send-it
 message-send-mail-function	'smtpmail-send-it
 ;; very nice examples here: https://www.gnu.org/software/emacs/manual/html_node/gnus/Posting-Styles.html
 gnus-posting-styles '(
			                 ((header "to" "[email-masked]")
                        (From "Waleed Yousef <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp smtp.gmail.com 587 [email-masked]"))
			                 ((header "to" "[email-masked]")
                        (From "Waleed Yousef <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp smtp.gmail.com 587 [email-masked]"))
			                 ((header "to" "[email-masked]")
                        (From "Waleed Yousef <[email-masked]>")
			                  ("X-Message-SMTP-Method" "smtp smtp.uvic.ca 587 [email-masked]"))
                       )
 )
```
What do you suggest for this?

For the pop, it is the other way around; what Gnus sends really goes to
the server. However, as I explained, Gnus does not fetch the mails sent
from the iphone apps. For solving this, do you suggest I turn all my pop
mails to imap?

Andreas Schwab <[email-masked]> writes:

> The predicate is UNDRAFT.
> See RFC3501 for a full list of predicates (in the SEARCH command).